Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.xmlbind.params
Class StringListProperty

    java.lang.Object
      umontreal.iro.lecuyer.xmlbind.params.AbstractProperty
          umontreal.iro.lecuyer.xmlbind.params.StringListProperty

    public class StringListProperty

extends AbstractProperty

Represents a property whose value is a list of strings.

Field Summary
`protected String[]` | `value`

Fields inherited from class umontreal.iro.lecuyer.xmlbind.params.AbstractProperty
`name`

Constructor Summary
`StringListProperty()`

Method Summary
`String[]` | `getValue()`
`String` | `getValue(int idx)`
`int` | `getValueLength()`
`boolean` | `isSetValue()`
`String` | `setValue(int idx, String value)`
`void` | `setValue(String[] values)`
`void` | `unsetValue()`

Methods inherited from class umontreal.iro.lecuyer.xmlbind.params.AbstractProperty
`getName, isSetName, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected String[] value

Constructor Detail

### StringListProperty

    public StringListProperty()

Method Detail

### getValue

    public String[] getValue()

  Returns:
    array of `String`

### getValue

    public String getValue(int idx)

  Returns:
    one of `String`

### getValueLength

    public int getValueLength()

### setValue

    public void setValue(String[] values)

  Parameters:
    `values` - allowed objects are `String`

### setValue

    public String setValue(int idx,
                           String value)

  Parameters:
    `value` - allowed object is `String`

### isSetValue

    public boolean isSetValue()

### unsetValue

    public void unsetValue()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.